<?php

/**
 * Constants of graphical layout and look of game.
 */
class DesignConstants
{
	const DEFAULT_SCREEN_WIDTH = 1024;
	const DEFAULT_SCREEN_HEIGHT = 768;
	
	const SCREEN_TO_GAME_RATIO = 0.6;
	
	//const GAME_PLAN_WIDTH = 700;
	//const GAME_PLAN_HEIGHT = 700;
	
	const PLANET_SIZE = 32;
	const WORMHOLE_SIZE = 64;
	const SUN_SIZE = 92;
	const SHIP_SIZE_REL = 0.07;
	const BASE_STAR_REL_SIZE_TO_PLANET = 0.35;	
	const SOLAR_SYSTEM_TO_GALAXY_REL_SIZE = 0.025;
	
	
	const RIGHT_PANEL_WIDTH = 200;
	const LANGUAGE_SELECTOR_HEIGHT = 20;
	const LOGIN_PANEL_HEIGHT = 140;
	const DISPLAY_FILTER_HEIGHT = 40;
	
	public static function GetGamePlanSize($screenWidth, $screenHeight)
	{
		//$screenSize = min($screenWidth, $screenHeight);
		//return $screenSize * DesignConstants::SCREEN_TO_GAME_RATIO;
		
		return array(0 => 469, 1 => 464);
	}
}

?>