<script type="text/javascript">
<!--
<?php
$dictionary = Dictionary::GetInstance();

$planetGraphics = array();

echo "var planets = new Array();\n";
foreach ($this->solarSystem->GetPlanets() as $planet)
{
	$planetGraphic = new PlanetGraphic($planet, $this);
	array_push($planetGraphics, $planetGraphic);
	echo "planets[".$planet->GetId()."]='".$planetGraphic->GetHtmlId()."';\n";
}

echo "var ships = new Array();\n";
foreach ($this->ships as $ship)
{
	echo "ships[".$ship->GetShip()->GetId()."]='".$ship->GetHtmlId()."';\n";
}

echo "var ALLIANCE_MONEY_DONATE_MAX = " . GameConstants::ALLIANCE_MONEY_DONATE_MAX . ";";

?>
GetScreenSize();
GamePlan_StartAnimation(planets, ships, <?php echo GameTimer::EARTH_DAY_LENGTH_SEC * 1000 ?>);
//-->
</script>

<?php
$style = $this->GenerateStyleString();
echo '<div id="'.$this->GetHtmlId().'" class="'.self::CLASS_NAME.'" style="'.$style.'" ';
echo "onclick=\"GamePlan_OnClick(this, event);\"";
echo " onmouseout=\"GamePlan_OnMouseOut(this, event)\"";
echo ">\n";
?>
	
	<img src="./Images/interface/gameplan.png"
		width="<?php echo $this->width ?>px" height="<?php echo $this->height ?>px"
		alt="Solar system background" /> 
	
	<img src="<?=$this->solarSystem->GetSunImageUrl()?>" 
		width="<?php echo DesignConstants::SUN_SIZE ?>" height="<?php echo DesignConstants::SUN_SIZE ?>" 
		alt="Sun"
		style="cursor: pointer; position: absolute; left:<?php echo (($this->width - DesignConstants::SUN_SIZE) / 2) ?>px; top:<?php echo (($this->height - DesignConstants::SUN_SIZE) / 2) ?>px;"
		onclick="GamePlan_SunClick(event)"
		/> <?php 

	echo "<div id=\"".self::CLASS_NAME."_wormHoleContainer\">\n";
	$wormHoles = (array)$this->solarSystem->GetWormHolesForced();
	foreach ($wormHoles as $wormHole)
	{
		$wormHoleGraphic = new WormHoleGraphic($wormHole, $this);
		$wormHoleGraphic->Render();
	}
	echo "</div>\n";
	
	echo "<div id=\"".self::CLASS_NAME."_planetContainer\">\n";
	foreach ($planetGraphics as $planet)
	{
		$positions = (array)$planet->GetPlanet()->GetTrajectory()->GetAllPositionsForced();
		
		for ($i = 0; $i < count($positions); $i++)
		{
			$posA = $positions[$i];
			$posB = $positions[($i + 1) % count($positions)];
			
			$posA = $this->WorldToScreenCoords($posA[0], $posA[1]);
			$posB = $this->WorldToScreenCoords($posB[0], $posB[1]);
			
			if ($i % 2 == 0)
			{
				Graphics::DrawLine($posA, $posB, "white", 1, self::CLASS_NAME."_Planet_Trajectory_even");
			}
			else
			{
				//Graphics::DrawLine($posA, $posB, "white", 1, self::CLASS_NAME."_Planet_Trajectory_odd");
			}
		}
		
		$planet->Render();
	}
	echo "</div>\n";
	
	echo "<div id=\"".self::CLASS_NAME."_shipContainer\">\n";
	foreach ($this->ships as $ship)
	{			
		$ship->Render();
	}
	echo "</div>\n";
	
	?><div style="position: absolute; left: 5px; top: 5px;">	
		<span class="GamePlan_SolarSystemName"><?=$this->solarSystem->GetName()?></span>
	</div><?php
	
	echo "<div id=\"".self::CLASS_NAME."_galaxyActionContainer\" style=\"position: absolute; bottom: 10px; left: 10px;\">";				
	
	echo "<span id=\"".self::CLASS_NAME."_btnGalaxyAction\" class=\"LoginPanel_link\" style=\"font-size: 16pt; display: none;\" ";
	echo "onclick=\"".self::CLASS_NAME."_BtnGalaxyActionOnClick(this, event)\">";
	echo $dictionary->Translate("SHOW_GALAXY_MAP").'</span>'."\n";	
		
	echo "<form method=\"post\" action=\"\">";
	echo "<input id=\"".self::CLASS_NAME."_btnGalaxyActionLblBrowse\" name=\"btnGalaxyActionLblBrowse\" type=\"hidden\" " .
			"value=\"".$dictionary->Translate("SHOW_GALAXY_MAP")."\"/>";
	echo "<input id=\"".self::CLASS_NAME."_btnGalaxyActionLblFreeNav\" name=\"btnGalaxyActionLblBrowse\" type=\"hidden\" " .
			"value=\"".$dictionary->Translate("GAMEPLAN_GALAXY_FREE_NAV")."\"/>";
	echo "</form>\n";
	
	echo "</div>";
	
	echo "<div id=\"".self::CLASS_NAME."_controlContainer\">\n";
	foreach ($this->controls as $control)
	{			
		$control->Render();
	}	
	echo "</div>";

echo "</div>\n";
?>