<?php
require_once("View/Page.inc");
require_once("Control/DBManager.inc");

/**
 * This is entry page of game. 
 */

session_start();

$page = new Page("KIV Webgame prealpha internal");
$page->SetOnLoad("GameInit()");
$page->PrintHeader();

if (array_key_exists("screenWidth", $_REQUEST) && array_key_exists("screenHeight", $_REQUEST))
{
	$_REQUEST["getContent"] = true;
	include("content.php");
	
	echo "<script type=\"text/javascript\">\n
			GetScreenSize();\n
		</script>\n";
}
else
{	
	echo "<form id=\"screenReporter\" name=\"screenReporter\" action=\"\" method=\"post\">\n";
	echo "<input id=\"screenWidth\" name=\"screenWidth\" type=\"hidden\" value=\"\" />\n";
	echo "<input id=\"screenHeight\" name=\"screenHeight\" type=\"hidden\" value=\"\" />\n";
	echo "</form>\n";
	
	echo "<script type=\"text/javascript\">\n
			ReportScreenSize();\n
		</script>\n";
}

$page->PrintFooter();

$dbManager = DBManager::GetInstance();
$dbManager->Dispose();

?>
