<?php

require_once("Control/GameUpdater.inc");
require_once("Model/SolarSystem.inc");

/**
 * This page updates state of game in DB.
 */

srand(time());
mt_srand(time() + rand(0, getrandmax()));

/* update NPC player */
$solarSystem =  SolarSystem::LoadFromDB();
$gameUpdater = new GameUpdater($solarSystem);
$gameUpdater->PlayPCPlayer();

/* update planet deliveries */
$solarSystems = (array) SolarSystem::LoadAllFromDB(); 

foreach ($solarSystems as $solarSystem)
{
	$gameUpdater = new GameUpdater($solarSystem);
	$gameUpdater->CheckDeliveries();	
}

/* pirates */
$gameUpdater->UpdatePirates();

$dbManager = DBManager::GetInstance();
$dbManager->Dispose();

?>